Bug 847923 - cups-1.5.4 prints cut page
Summary: cups-1.5.4 prints cut page
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: 17
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-14 04:14 UTC by mx
Modified: 2013-08-01 18:10 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 18:10:52 UTC


Attachments (Terms of Use)
output: su -c 'lpinfo -l -v' (630 bytes, application/x-gzip)
2012-08-14 14:47 UTC, mx
no flags Details
var log (304.65 KB, application/x-gzip)
2012-08-14 17:08 UTC, mx
no flags Details
wget http://localhost:631/admin/log/error_log (304.89 KB, application/x-gzip)
2012-08-14 17:09 UTC, mx
no flags Details
print file already formatted for MP280 (308.99 KB, application/octet-stream)
2012-08-16 15:31 UTC, Jiri Popelka
no flags Details
Photos (791.01 KB, image/jpeg)
2012-08-16 19:43 UTC, mx
no flags Details
new log (88.11 KB, application/x-gzip)
2012-08-16 19:48 UTC, mx
no flags Details
new web log (88.32 KB, application/x-gzip)
2012-08-16 19:48 UTC, mx
no flags Details
Transcript output of printer manipulation (52.20 KB, text/plain)
2012-09-05 13:14 UTC, Ali Akcaagac
no flags Details


Links
System ID Priority Status Summary Last Updated
CUPS Bugs and Features 4155 None None None 2012-08-23 08:23:11 UTC
CUPS Bugs and Features 4263 None None None Never

Description mx 2012-08-14 04:14:55 UTC
Description of problem:
Yesterday, after updating the cups all the sheets are cut off when printing. 

Version-Release number of selected component (if applicable):
cups-1.5.4
printer Cannon Pixma MP 280

How reproducible:
print any page.

Additional info:
And the native driver from : http://www.canon.ru/For_Home/Product_Finder/Multifunctionals/Inkjet/PIXMA_MP280/
( cnijfilter-common-3.40-1.x86_64.rpm,cnijfilter-mp280series-3.40-1.x86_64.rpm )
and gutenprint, gutenprint-cups from current Fedora 17.

I yum downgrade cups, cups-libs (to version 1.5.2 ) and PRINT NORMAL !

Comment 1 Jiri Popelka 2012-08-14 10:01:21 UTC
Could you remove the Canon provided driver, install gutenprint-foomatic
and try to use the following drivers ?

Canon PIXMA MP280 - CUPS+Gutenprint v5.2.9
Canon PIXMA MP280 - CUPS+Gutenprint v5.2.9 Simplified
Canon MULTIPASS-MP280 Foomatic/gutenprint-ijs-simplified.5.2
Canon MULTIPASS-MP280 Foomatic/gutenprint-ijs.5.2

Comment 2 Jiri Popelka 2012-08-14 10:06:19 UTC
Also show me what's the output of the following command when the printer is on:
su -c "lpinfo -l -v

Comment 3 mx 2012-08-14 14:45:50 UTC
I removed the native driver. Reboot the computer. Place the printer is using the current gutenprint drivers.
No normal print! Printing is only 4/5 pages on empty!

When returning Chups 1.5.2 was immediately print normally.

Comment 4 mx 2012-08-14 14:47:08 UTC
Created attachment 604324 [details]
output: su -c 'lpinfo -l -v'

Comment 6 Jiri Popelka 2012-08-14 14:58:47 UTC
OK. Can you attach an output from printing troubleshooter when printing a test page (or whatever) using cups-1.5.4 and 'Canon PIXMA MP280 - CUPS+Gutenprint v5.2.9 Simplified' driver ?
https://fedoraproject.org/wiki/Printing/Debugging#Printing_troubleshooter

thanks

Comment 8 mx 2012-08-14 16:30:03 UTC
Well I'll try.
Just do not quite understand the logic. If you have already printed with any
driver (native and gutenprint) and after the upgrade CUPS no longer print fine with any. That needs to be corrected not gutenprint and CUPS !

Comment 9 mx 2012-08-14 17:08:47 UTC
Created attachment 604370 [details]
var log

cups-1.5.4-1.fc17.x86_64
gutenprint-5.2.9-1.fc17.x86_64

Comment 11 Jiri Popelka 2012-08-16 15:09:44 UTC
I don't see any problem in the log.

Please attach the output from system-config-printer's troubleshooter as described in
https://fedoraproject.org/wiki/Printing/Debugging#Printing_troubleshooter
(the section prior to 'Getting debug information by other means' section)

Comment 12 Jiri Popelka 2012-08-16 15:31:16 UTC
Created attachment 604971 [details]
print file already formatted for MP280

Could you try to print this file with 'lpr -P MP280-series -o raw print.raw' ?


obtained with:
export PPD=/etc/cups/ppd/Canon-PIXMA-MP280.ppd
/usr/lib/cups/filter/bannertops 1 me '' 1 '' /usr/share/cups/data/testprint >testprint.ps
/usr/lib/cups/filter/pstops 1 me '' 1 '' <testprint.ps >pstops.ps
/usr/lib/cups/filter/gstoraster 1 me '' 1 '' <pstops.ps > gstoraster.raster
/usr/lib/cups/filter/rastertogutenprint.5.2 1 me '' 1 '' <gstoraster.raster > print.raw

Comment 13 mx 2012-08-16 19:43:32 UTC
Created attachment 605002 [details]
Photos

Comment 14 mx 2012-08-16 19:48:12 UTC
Created attachment 605003 [details]
new log

Comment 15 mx 2012-08-16 19:48:52 UTC
Created attachment 605004 [details]
new web log

Comment 16 Ali Akcaagac 2012-08-20 18:10:52 UTC
Hi there.

I can confirm this issue with recent change to 1.5.4. This also happens with my MP610. I tried changing to different Gutenprint drivers but the issue stays. After issuing a "yum downgrade cups cups-libs" to 1.5.2 the issues are gone. I confirm that this issue arrived with the LAST update. It did not happen with 1.5.3-any. I know this since I do print quite often.

F17 with testing packages.

Comment 17 mx 2012-08-20 19:48:10 UTC
According to my opinion there a bug in determining the size of the page. For example - mistook centimeters and inches. And this error log is not no show!

Comment 18 Tom Mannerhagen 2012-08-22 13:36:15 UTC
Hi

I can also say that CUPS 1.5.4 breaks my heart!
Canon Pixma IP2600 quits printing after about 4/5 of the page.
Tried to fiddle with all settings, but even the test-page stops after around 80%.

Almost teared my hair off before trying to downgrade to 1.5.2.
And then things started to work as expected.

Now I just need to clear away all bad print-outs :)

BR Tom

Comment 19 Fiable.biz 2012-08-23 05:58:38 UTC
This bug is described here:
http://www.linuxquestions.org/questions/linux-hardware-18/printing-problems-canon-pixma-ip3000-printing-only-half-of-the-last-page-of-job-4175419891/
and better there for Ubuntu, as a CUPS bug:
http://ubuntuforums.org/showthread.php?t=2036453
On our Fedora 17, 64 bits, updated, Canon iP3300 printer and Canon 32 bits driver ("filter"), the last third of every last page is lost.

So a solution would probably be to change the packaged version of CUPS.

Comment 20 Tim Waugh 2012-08-23 08:23:11 UTC
Looks like the usb backend needs to handle a quirk, or else shouldn't do a port reset at all.  Upstream bug linked.

Comment 21 Fiable.biz 2012-08-23 09:06:51 UTC
Thank you. So, what RedHat/Fedora is going do to fix this now that a patch exists?

Comment 22 Jiri Popelka 2012-08-23 12:26:26 UTC
Can somebody test one of these builds before I submit an official update ?
[F16] http://koji.fedoraproject.org/koji/taskinfo?taskID=4416974
[F17] http://koji.fedoraproject.org/koji/taskinfo?taskID=4416970
[F18] http://koji.fedoraproject.org/koji/taskinfo?taskID=4416968

Comment 23 Fiable.biz 2012-08-23 13:27:16 UTC
It works for me: Fedora 17, 64 bits, updated, Canon iP3300 printer and Canon 32 bits driver ("filter"). I had to install
cups-1.5.4-2.fc17.x86_64.rpm
and
cups-libs-1.5.4-2.fc17.x86_64.rpm

rpm -i --force cups-libs-1.5.4-2.fc17.x86_64.rpm cups-1.5.4-2.fc17.x86_64.rpm

Thank you very much!

Comment 24 Fedora Update System 2012-08-23 13:48:17 UTC
cups-1.5.4-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cups-1.5.4-3.fc18

Comment 25 Fedora Update System 2012-08-23 13:48:42 UTC
cups-1.5.4-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cups-1.5.4-2.fc17

Comment 26 Fedora Update System 2012-08-23 15:39:04 UTC
Package cups-1.5.4-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-1.5.4-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12582/cups-1.5.4-3.fc18
then log in and leave karma (feedback).

Comment 28 Fedora Update System 2012-08-31 21:25:17 UTC
cups-1.5.4-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 29 Ali Akcaagac 2012-09-05 11:43:31 UTC
Hello

Thanks for taking care of this problem. Sadly I have to confirm that the changes made do not work for me and my MP610.

The printer simply sits IDLE telling me that it awaits connection after trying to print something.

To temporarely solve my issues I had to downgrade to cups 1.5.2 again.

I even verified this by downgrading 1.5.4-2 to 1.5.2-12 and then upgrading back to 1.5.4-2.

Logging into cups directly "localhost:631" and viewing the status gives

processing since
Wed 05 Sep 2012 01:40:09 PM CEST 
"Waiting for printer to become available."

as reply.

As I type this I downgraded again from 1.5.4-2 to 1.5.2-12 while keeping above processed "print request" after yum finishes and cupsd got restarted the print quickly starts.

Comment 30 Jiri Popelka 2012-09-05 11:53:04 UTC
Ali, can you try these instructions ?
https://bugs.launchpad.net/cups/+bug/1038695/comments/2

Comment 31 Ali Akcaagac 2012-09-05 13:10:48 UTC
Hello Jiri

Done as explained. None of these instructions solved the problem. I attached the typescript.txt file to bugreport.

As a side note (I am not sure if this might help). I realized that when using 1.5.3-x and upwards, that the USB sub system often simply gets locked up. E.g. after printing one page, the entire USB sub system simply hangs. Mouse doesn't work anymore. Printer can't be turned off using the power button on the printer. Everything works again once I axe the power connection to the printer. I mention this side note because someone wrote about "USB sub system of cups" a while ago.

Comment 32 Ali Akcaagac 2012-09-05 13:14:25 UTC
Created attachment 610037 [details]
Transcript output of printer manipulation

Comment 33 Tim Waugh 2012-09-10 15:21:34 UTC
Ali, could you please file a separate bug report about this locking-up issue?

Comment 34 Fedora Update System 2012-09-17 23:22:06 UTC
cups-1.5.4-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 35 Ali Akcaagac 2012-09-24 12:30:41 UTC
Hi Tim

Thanks for your feedback. I consider reporting this as a separate bug but before doing this let me reply to this bug report again.

Let me collect together:

1) cups 1.5.2-x prints flawlessly no issues with my printer
2) cups 1.5.4-x popped up and causes this 3/4 page print issue which the reporter of this bug and I replied to
3) A possible bug fix has been introduced which should fix the 3/4 page printing issue. This patch has been put into 1.5.4-2. The reporter confirmed that it solved his issue. Unfortunately this itroduced fix caused things to go worse for me because the printer does not react at all anymore. I found a bug report from someone which might be related to the recent changes introduced in 1.5.4-2

https://bugzilla.redhat.com/show_bug.cgi?id=857699

4) cups 1.5.4-3 has been introduced and arrived even on f17 a few hours ago. 1.5.4-3 allowed me to print EXACTLY one page and after that it told me that my printer is not connected. I figured out, that 1.5.4-2/3 has sent false commands over USB to the printer and totally locked it up (that's what I tried to explain last time). The solution was to downgrade again to 1.5.2-x and to entirely turn the printer off (took it from power) to make it behave correctly.
5) I tested 1.5.2-x again and there was no such thing as USB lockups, printer freezes and so on.

My mistake might be, that I enabled updates-testing and was introduced with untested software but now 1.5.4-2 has shown up under updates, which somehow explains, that it has passed TESTING phase and even in comment 34 above it was said that exactly this cups version has been introduced into F18 STABLE. Maybe I may have too high expectations but I somehow expect software to not become worse or even NOT WORKING at all after an update.

It might be that we have different understanding in software quality but I rely on a working system that gets the trivial tasks done for me. This is not going to happen if new versions of nonworking and badly tested software is being pushed on stable distributions.

Comment 36 Ali Akcaagac 2012-11-06 17:02:03 UTC
I gave CUPS 1.5.4-11 a try today and updated from 1.5.2-12 . Yes I was able to print two (2) pages of paper with it (didn't tested more pages).

Sadly it was not possible to turn the printer off using the printers power off button after printing. I had to entirely shut the power connection down.

Please understand that issues like this causes frustrations. Things used to work properly when Fedora 17 was released. Sadly CUPS is not the only thing that acts like this, there are plenty of packages that started to cause misbehaviour of the system.

Your QS team only guarantees a working system on RELEASE date. What happens afterwards with it, by providing new BUGFIXED packages, is beyond their scope I believe.

Comment 37 Fiable.biz 2012-11-06 18:57:37 UTC
I confirm this problem. Moreover, very often, the printer Canon Pixma iP3300 would not accept a second job, unless plugged off and in. I had written too quickly above that it worked for me. Should this be regarded as a different bug?

Comment 38 Jiri Popelka 2012-11-07 07:28:07 UTC
Ali:
I understand your annoyance but I hope you understand that there's no possibility that we (maintainers and users that test the update while it's in testing repository) can test every cups update with every existing printer model.

Fiable.biz:
Please follow instructions in bug #873123

Comment 39 Jiri Popelka 2012-11-07 07:31:48 UTC
Fiable.biz:
I've just noted that this wasn't your first comment in this BZ.
In comment #23 you said that 1.5.4-2.fc17 was working for you. Does that mean that some recent update broke it again ?

Comment 40 Fiable.biz 2012-11-07 14:34:33 UTC
No. In fact, after the patch, I printed one document (probably the test page), saw it worked, and wrote comment #23. But I very quickly noticed the problem.

Comment 41 Jiri Popelka 2012-11-07 15:00:56 UTC
OK, now I see it in comment #37. Can you try the steps in bug #873123 ?

Comment 42 Ali Akcaagac 2012-12-04 13:16:26 UTC
The recent changes made things become worse. I now get one DIN A4 page print out on 3 sheets of paper. With 1/3 printed on top of each sheet. It took me a while to understand, that this was caused by the recent changes. With some earlier 1.5.4-x versions things worked but after a while not.

I just came to a point where I really like to fill a couple of lines of swearing and rants. But this does not belong to bugzilla. But at least allow me one sentence targeted to the maintainer of cups or the person providing broken updates to a stable Fedora release.

Please do me a favor and resign from further development and maintainance!

Thank you.

Comment 43 Jiri Popelka 2012-12-04 14:34:05 UTC
Ali, could you try the steps in bug #873123 ?

BTW: you are more than welcome to join us [1] in maintaining and/or testing this community-driven distribution.

[1] http://fedoraproject.org/en/join-fedora

Comment 44 Ali Akcaagac 2012-12-04 15:47:35 UTC
(In reply to comment #43)
> Ali, could you try the steps in bug #873123 ?

I did this and already reported back in comment 31.

> BTW: you are more than welcome to join us [1] in maintaining and/or testing
> this community-driven distribution.

This is not about me joining a community-driven-distribution. This is about people who agreed to maintain something for a community-driven-distribution. In this case the CUPS maintainers.

I do recognize their work and time spent in maintainance but I expect that they take some care in what they sent to the people within a stable distribution (please note the word STABLE in here. It comes from STABILITY (=WORKS)). Sadly I get the feeling that they can't handle the complexity of CUPS.

There is one CUPS package after another thrown out the past couple of weeks and we are now at 1.5.4-13 (the 13 iteration since 1.5.4 release) and none of them fixes anything. They all got worse and worse (compared to the y <= 1.5.2 release that by now is still the only package that works).

If you want to test packages then please deliver them to a playground but keep them away from F17 which is a stable distribution. If the maintainers can't handly what they do then it's time to resign.

I now need to figure out a way to tell yum from not updating any CUPS versions anymore (locking the package). I'm not willing to throw out my money, time and ink to alpha test this nonsense on a stable distribution.

Comment 45 Jiri Popelka 2012-12-04 16:08:38 UTC
(In reply to comment #44)
> (In reply to comment #43)
> > Ali, could you try the steps in bug #873123 ?
> 
> I did this and already reported back in comment 31.

Ah, missed that one, I though I had read all your comments.

Comment 46 Ali Akcaagac 2012-12-04 16:25:45 UTC
(In reply to comment #45)
> Ah, missed that one, I though I had read all your comments.

Could happen. I bet you've been busy fixing CUPS.

Comment 48 Jiri Popelka 2013-01-15 10:57:46 UTC
(In reply to comment #38)
> Fiable.biz:
> Please follow instructions in bug #873123

Have I missed your response somewhere ?

Comment 49 Fiable.biz 2013-01-15 12:44:40 UTC
Thank you to take care of us. Our printer eventually got broken and we couldn't get it repaired, so we bought another one, of course not Canon, but HP, and spend very much less time to get the new one work with Fedora and Mageia.

Comment 51 Adrián Reboreda Martínez 2013-01-16 01:57:03 UTC
Same problem here with cups 1.5.4-{14,20} on Fedora 18 and with Canon MP210 on x86_64.

Comment 52 Jiri Popelka 2013-01-16 09:27:57 UTC
Adrián, please follow instructions in bug #873123, comment#0

Comment 53 Adrián Reboreda Martínez 2013-01-16 16:46:09 UTC
(In reply to comment #52)
> Adrián, please follow instructions in bug #873123, comment#0

Looks like that's it, in a terminal type:
lpadmin -p MP210-series -o usb-unidir-default=true

Thanks for the solution.

Comment 54 Jiri Popelka 2013-01-17 10:40:01 UTC
Great. We need to see the output of lsusb so we can fix it permanently.

Comment 55 Adrián Reboreda Martínez 2013-01-17 19:07:22 UTC
Ok, this is:
adrian@yggdrasil ~ > su -c 'lsusb -v'
Contraseña:


Bus 001 Device 002: ID 05e3:0608 Genesys Logic, Inc. USB-2.0 4-Port HUB
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         1 Single TT
  bMaxPacketSize0        64
  idVendor           0x05e3 Genesys Logic, Inc.
  idProduct          0x0608 USB-2.0 4-Port HUB
  bcdDevice           77.60
  iManufacturer           0 
  iProduct                1 USB2.0 Hub
  iSerial                 0 
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower              100mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 Full speed (or root) hub
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0001  1x 1 bytes
        bInterval              12
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             4
  wHubCharacteristic 0x00e0
    Ganged power switching
    Ganged overcurrent protection
    TT think time 32 FS bits
    Port indicators
  bPwrOn2PwrGood       50 * 2 milli seconds
  bHubContrCurrent    100 milli Ampere
  DeviceRemovable    0x00
  PortPwrCtrlMask    0xff
 Hub Port Status:
   Port 1: 0000.0503 highspeed power enable connect
   Port 2: 0000.0303 lowspeed power enable connect
   Port 3: 0000.0303 lowspeed power enable connect
   Port 4: 0000.0303 lowspeed power enable connect
Device Qualifier (for other device speed):
  bLength                10
  bDescriptorType         6
  bcdUSB               2.00
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         0 Full speed (or root) hub
  bMaxPacketSize0        64
  bNumConfigurations      1
Device Status:     0x0001
  Self Powered

Bus 001 Device 008: ID 04a9:1721 Canon, Inc. MP210 ser
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0        64
  idVendor           0x04a9 Canon, Inc.
  idProduct          0x1721 MP210 ser
  bcdDevice            1.05
  iManufacturer           1 Canon
  iProduct                2 MP210 series
  iSerial                 3 25CD4F
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           62
    bNumInterfaces          2
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xc0
      Self Powered
    MaxPower                2mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           3
      bInterfaceClass       255 Vendor Specific Class
      bInterfaceSubClass      0 
      bInterfaceProtocol    255 
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x07  EP 7 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x88  EP 8 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x89  EP 9 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval              11
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        1
      bAlternateSetting       0
      bNumEndpoints           2
      bInterfaceClass         7 Printer
      bInterfaceSubClass      1 Printer
      bInterfaceProtocol      2 Bidirectional
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x01  EP 1 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
Device Qualifier (for other device speed):
  bLength                10
  bDescriptorType         6
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0        64
  bNumConfigurations      1
Device Status:     0x0001
  Self Powered

Bus 001 Device 003: ID 058f:6362 Alcor Micro Corp. Flash Card Reader/Writer
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0        64
  idVendor           0x058f Alcor Micro Corp.
  idProduct          0x6362 Flash Card Reader/Writer
  bcdDevice            1.00
  iManufacturer           1 Generic
  iProduct                2 Mass Storage Device
  iSerial                 3 058F63626476
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           32
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0x80
      (Bus Powered)
    MaxPower              250mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           2
      bInterfaceClass         8 Mass Storage
      bInterfaceSubClass      6 SCSI
      bInterfaceProtocol     80 Bulk-Only
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x01  EP 1 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
Device Qualifier (for other device speed):
  bLength                10
  bDescriptorType         6
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0        64
  bNumConfigurations      1
Device Status:     0x0000
  (Bus Powered)

Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         0 Full speed (or root) hub
  bMaxPacketSize0        64
  idVendor           0x1d6b Linux Foundation
  idProduct          0x0002 2.0 root hub
  bcdDevice            3.07
  iManufacturer           3 Linux 3.7.2-201.fc18.x86_64 ehci_hcd
  iProduct                2 EHCI Host Controller
  iSerial                 1 0000:00:1d.7
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 Full speed (or root) hub
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0004  1x 4 bytes
        bInterval              12
Hub Descriptor:
  bLength              11
  bDescriptorType      41
  nNbrPorts             8
  wHubCharacteristic 0x000a
    No power switching (usb 1.0)
    Per-port overcurrent protection
  bPwrOn2PwrGood       10 * 2 milli seconds
  bHubContrCurrent      0 milli Ampere
  DeviceRemovable    0x00 0x00
  PortPwrCtrlMask    0xff 0xff
 Hub Port Status:
   Port 1: 0000.0100 power
   Port 2: 0000.0100 power
   Port 3: 0000.0503 highspeed power enable connect
   Port 4: 0000.0100 power
   Port 5: 0000.0100 power
   Port 6: 0000.0503 highspeed power enable connect
   Port 7: 0000.0100 power
   Port 8: 0000.0503 highspeed power enable connect
Device Status:     0x0001
  Self Powered

Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         0 Full speed (or root) hub
  bMaxPacketSize0        64
  idVendor           0x1d6b Linux Foundation
  idProduct          0x0001 1.1 root hub
  bcdDevice            3.07
  iManufacturer           3 Linux 3.7.2-201.fc18.x86_64 uhci_hcd
  iProduct                2 UHCI Host Controller
  iSerial                 1 0000:00:1d.0
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 Full speed (or root) hub
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0002  1x 2 bytes
        bInterval             255
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             2
  wHubCharacteristic 0x000a
    No power switching (usb 1.0)
    Per-port overcurrent protection
  bPwrOn2PwrGood        1 * 2 milli seconds
  bHubContrCurrent      0 milli Ampere
  DeviceRemovable    0x00
  PortPwrCtrlMask    0xff
 Hub Port Status:
   Port 1: 0000.0100 power
   Port 2: 0000.0100 power
Device Status:     0x0001
  Self Powered

Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         0 Full speed (or root) hub
  bMaxPacketSize0        64
  idVendor           0x1d6b Linux Foundation
  idProduct          0x0001 1.1 root hub
  bcdDevice            3.07
  iManufacturer           3 Linux 3.7.2-201.fc18.x86_64 uhci_hcd
  iProduct                2 UHCI Host Controller
  iSerial                 1 0000:00:1d.1
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 Full speed (or root) hub
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0002  1x 2 bytes
        bInterval             255
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             2
  wHubCharacteristic 0x000a
    No power switching (usb 1.0)
    Per-port overcurrent protection
  bPwrOn2PwrGood        1 * 2 milli seconds
  bHubContrCurrent      0 milli Ampere
  DeviceRemovable    0x00
  PortPwrCtrlMask    0xff
 Hub Port Status:
   Port 1: 0000.0100 power
   Port 2: 0000.0100 power
Device Status:     0x0001
  Self Powered

Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         0 Full speed (or root) hub
  bMaxPacketSize0        64
  idVendor           0x1d6b Linux Foundation
  idProduct          0x0001 1.1 root hub
  bcdDevice            3.07
  iManufacturer           3 Linux 3.7.2-201.fc18.x86_64 uhci_hcd
  iProduct                2 UHCI Host Controller
  iSerial                 1 0000:00:1d.2
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 Full speed (or root) hub
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0002  1x 2 bytes
        bInterval             255
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             2
  wHubCharacteristic 0x000a
    No power switching (usb 1.0)
    Per-port overcurrent protection
  bPwrOn2PwrGood        1 * 2 milli seconds
  bHubContrCurrent      0 milli Ampere
  DeviceRemovable    0x00
  PortPwrCtrlMask    0xff
 Hub Port Status:
   Port 1: 0000.0100 power
   Port 2: 0000.0100 power
Device Status:     0x0001
  Self Powered

Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         0 Full speed (or root) hub
  bMaxPacketSize0        64
  idVendor           0x1d6b Linux Foundation
  idProduct          0x0001 1.1 root hub
  bcdDevice            3.07
  iManufacturer           3 Linux 3.7.2-201.fc18.x86_64 uhci_hcd
  iProduct                2 UHCI Host Controller
  iSerial                 1 0000:00:1d.3
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 Full speed (or root) hub
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0002  1x 2 bytes
        bInterval             255
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             2
  wHubCharacteristic 0x000a
    No power switching (usb 1.0)
    Per-port overcurrent protection
  bPwrOn2PwrGood        1 * 2 milli seconds
  bHubContrCurrent      0 milli Ampere
  DeviceRemovable    0x00
  PortPwrCtrlMask    0xff
 Hub Port Status:
   Port 1: 0000.0100 power
   Port 2: 0000.0100 power
Device Status:     0x0001
  Self Powered

Bus 001 Device 004: ID 1737:0078 Linksys WUSB100 v2 RangePlus Wireless Network Adapter [Ralink RT3070]
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0        64
  idVendor           0x1737 Linksys
  idProduct          0x0078 WUSB100 v2 RangePlus Wireless Network Adapter [Ralink RT3070]
  bcdDevice            1.01
  iManufacturer           1 Cisco-Linksys LLC
  iProduct                2 Linksys RangePlus Wireless Network USB Adapter
  iSerial                 3 
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           67
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0x80
      (Bus Powered)
    MaxPower              450mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           7
      bInterfaceClass       255 Vendor Specific Class
      bInterfaceSubClass    255 Vendor Specific Subclass
      bInterfaceProtocol    255 Vendor Specific Protocol
      iInterface              5 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x01  EP 1 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x02  EP 2 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x03  EP 3 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x04  EP 4 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x05  EP 5 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x06  EP 6 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
Device Qualifier (for other device speed):
  bLength                10
  bDescriptorType         6
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0        64
  bNumConfigurations      1
Device Status:     0x0000
  (Bus Powered)

Bus 001 Device 005: ID 0461:4d0f Primax Electronics, Ltd HP Optical Mouse
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0         8
  idVendor           0x0461 Primax Electronics, Ltd
  idProduct          0x4d0f HP Optical Mouse
  bcdDevice            2.00
  iManufacturer           0 
  iProduct                2 USB Optical Mouse
  iSerial                 0 
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           34
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xa0
      (Bus Powered)
      Remote Wakeup
    MaxPower               98mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         3 Human Interface Device
      bInterfaceSubClass      1 Boot Interface Subclass
      bInterfaceProtocol      2 Mouse
      iInterface              0 
        HID Device Descriptor:
          bLength                 9
          bDescriptorType        33
          bcdHID               1.11
          bCountryCode            0 Not supported
          bNumDescriptors         1
          bDescriptorType        34 Report
          wDescriptorLength      71
         Report Descriptors: 
           ** UNAVAILABLE **
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0006  1x 6 bytes
        bInterval              10
Device Status:     0x0000
  (Bus Powered)

Bus 001 Device 006: ID 0665:5161 Cypress Semiconductor USB to Serial
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0         8
  idVendor           0x0665 Cypress Semiconductor
  idProduct          0x5161 USB to Serial
  bcdDevice            0.02
  iManufacturer           1 INNO TECH
  iProduct                2 USB to Serial
  iSerial                 0 
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           34
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          3 20100813
    bmAttributes         0x80
      (Bus Powered)
    MaxPower              100mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         3 Human Interface Device
      bInterfaceSubClass      0 No Subclass
      bInterfaceProtocol      0 None
      iInterface              4 Sample HID
        HID Device Descriptor:
          bLength                 9
          bDescriptorType        33
          bcdHID               1.00
          bCountryCode            0 Not supported
          bNumDescriptors         1
          bDescriptorType        34 Report
          wDescriptorLength      27
         Report Descriptors: 
           ** UNAVAILABLE **
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0008  1x 8 bytes
        bInterval               1
Device Status:     0x0000
  (Bus Powered)

Bus 001 Device 007: ID 04f2:0841 Chicony Electronics Co., Ltd HP Multimedia Keyboard
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0         8
  idVendor           0x04f2 Chicony Electronics Co., Ltd
  idProduct          0x0841 HP Multimedia Keyboard
  bcdDevice            1.00
  iManufacturer           1 CHICONY
  iProduct                2 HP USB Multimedia Keyboard
  iSerial                 0 
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           59
    bNumInterfaces          2
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xa0
      (Bus Powered)
      Remote Wakeup
    MaxPower              100mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         3 Human Interface Device
      bInterfaceSubClass      1 Boot Interface Subclass
      bInterfaceProtocol      1 Keyboard
      iInterface              0 
        HID Device Descriptor:
          bLength                 9
          bDescriptorType        33
          bcdHID               1.11
          bCountryCode            0 Not supported
          bNumDescriptors         1
          bDescriptorType        34 Report
          wDescriptorLength      65
         Report Descriptors: 
           ** UNAVAILABLE **
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0008  1x 8 bytes
        bInterval              10
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        1
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         3 Human Interface Device
      bInterfaceSubClass      1 Boot Interface Subclass
      bInterfaceProtocol      1 Keyboard
      iInterface              0 
        HID Device Descriptor:
          bLength                 9
          bDescriptorType        33
          bcdHID               1.11
          bCountryCode            0 Not supported
          bNumDescriptors         1
          bDescriptorType        34 Report
          wDescriptorLength     127
         Report Descriptors: 
           ** UNAVAILABLE **
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0004  1x 4 bytes
        bInterval              10
Device Status:     0x0000
  (Bus Powered)

Comment 56 Jiri Popelka 2013-01-21 11:25:25 UTC
Adrián, reset the previously changed options with:
lpadmin -p MP210-series -R usb-no-reattach-default
lpadmin -p MP210-series -R usb-unidir-default

turn the printer off and on and test this build:
https://koji.fedoraproject.org/koji/buildinfo?buildID=379004
Just download all the rpms for your architecture to a directory and run
su -c 'yum --nogpgcheck localupdate *.rpm'
there.
Does it still print correctly ?

BTW: next time when you're attaching a lot of text (as in the previous comment) use the 'Add an attachment' link.

Comment 57 Adrián Reboreda Martínez 2013-01-21 17:55:52 UTC
OK, I forgot about the attachment. My apologies.

I've done the steps above:

su -
lpadmin -p MP210-series -R usb-no-reattach-default
lpadmin -p MP210-series -R usb-unidir-default

Then I turnerd off and on the printer and tried to print a page and the error happens again.

I tuerned off the printer.

I've downloaded the packages and update the system.

yum localupdate --nogpgcheck -y .rpm

Only the cups and cups-libs were updated (because they are the only ones that I've installed).

Turned on the printer and it prints correctly three sparated each one of two pages works.

Note: I've downgraded the packages:
yum distro-sync -y cups cups-libs 

Turned off and on the printer and try to print a page. Strangely the printer ends the work, but a very slow speed (about 50s).

Upgrading again the packages and printing does the print correctly and the speed is the normal like happened in the first update.

Comment 58 Ali Akcaagac 2013-02-11 15:27:46 UTC
Feedback: Printing works under Fedora 18. Turning off the printer - sometimes not!

Comment 59 Fedora End Of Life 2013-07-04 06:35:22 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 60 Fedora End Of Life 2013-08-01 18:10:58 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.